import { NotificationService, Notifier } from "@smallstack/common";
import { ErrorMessageHandler, LocalizationService } from "@smallstack/i18n";
export declare class WebFrontendNotificationService implements NotificationService {
    console: Notifier;
    popup: Notifier;
    notification: Notifier;
    protected localizationService: LocalizationService;
    protected errorMessageHandler: ErrorMessageHandler;
    constructor();
    getStandardCallback(errorMsg?: string, successMsg?: string): any;
    showStandardErrorPopup(error: Error, additionalText?: string): any;
    showStandardErrorPopup(error: Error, additionalText?: string): any;
    setConsoleNotifier(notifier: Notifier): void;
    setPopupNotifier(notifier: Notifier): void;
    setNotificationNotifier(notifier: Notifier): void;
    handlePromise<T>(promise: Promise<T>, options?: {
        errorMsg?: string;
        successMsg?: string;
        i18nErrorKey?: string;
        i18nSuccessKey?: string;
        fireReject?: boolean;
    }): Promise<T>;
}
